onEvent('recipes', event => {
 //RefinedStorage : Basic Processor
  event.remove({output: 'refinedstorage:basic_processor'})
  event.recipes.createPressing('refinedstorage:basic_processor', ['refinedstorage:raw_basic_processor', 'create:iron_sheet'])
  //RefinedStorage : Improved Processor
  event.remove({output: 'refinedstorage:improved_processor'})
  event.recipes.createPressing('refinedstorage:improved_processor', ['refinedstorage:raw_improved_processor', 'create:iron_sheet'])
  //RefinedStorage : Advanced Processor
  event.remove({output: 'refinedstorage:advanced_processor'})
  event.recipes.createPressing('refinedstorage:advanced_processor', ['refinedstorage:raw_advanced_processor', 'create:iron_sheet'])


event.remove({output: 'refinedstorage:cable'})
event.shaped('6x refinedstorage:cable', [
      'CCC',
      'ABA',
      'CCC'
    ], {
      A: '#forge:glass',
      B: 'thermal:rf_coil',
      C: 'refinedstorage:quartz_enriched_iron'
    })
//RefinedStorage : Machine Casing
event.remove({output: 'refinedstorage:machine_casing'})
event.shaped('refinedstorage:machine_casing', [
    'DDD',
    'AXA',
    'DDD'
  ], {
    X: 'thermal:machine_frame',
    A: 'thermal:rf_coil',
    D: 'create:iron_sheet'
  })
//RefinedStorage : Upgrade
event.remove({output: 'refinedstorage:upgrade'})
event.shaped('refinedstorage:upgrade', [
  'CBC',
  'CDC',
  'CBC'
], {
  B: 'kubejs:red',
  C: 'refinedstorage:quartz_enriched_iron',
  D: 'refinedstorage:improved_processor'
})
////////////////////////////////////////////////////// STORAGE DISKS //////////////////////////////////////////////////////
event.remove({output: 'refinedstorage:storage_housing'})
event.shaped('refinedstorage:storage_housing', [
  'DBD',
  'B B',
  'CCC'
], {
  B: 'kubejs:green',
  C: 'refinedstorage:quartz_enriched_iron',
  D: 'minecraft:redstone'
})

event.remove({output: 'refinedstorage:1k_storage_disk'})
event.shaped('refinedstorage:1k_storage_disk', [
  'DBD',
  'BAB',
  'CCC'
], {
  A: 'refinedstorage:1k_storage_part',
  B: 'kubejs:green',
  C: 'refinedstorage:quartz_enriched_iron',
  D: 'minecraft:redstone'
})
event.shaped('refinedstorage:1k_storage_disk', [
    'BA ',
    '   ',
    '   '
  ], {
    A: 'refinedstorage:1k_storage_part',
    B: 'refinedstorage:storage_housing'
  })

event.remove({output: 'refinedstorage:4k_storage_disk'})
event.shaped('refinedstorage:4k_storage_disk', [
  'DBD',
  'BAB',
  'CCC'
], {
  A: 'refinedstorage:4k_storage_part',
  B: 'kubejs:green',
  C: 'refinedstorage:quartz_enriched_iron',
  D: 'minecraft:redstone'
})
event.shaped('refinedstorage:4k_storage_disk', [
    'BA ',
    '   ',
    '   '
  ], {
    A: 'refinedstorage:4k_storage_part',
    B: 'refinedstorage:storage_housing'
  })

event.remove({output: 'refinedstorage:16k_storage_disk'})
event.shaped('refinedstorage:16k_storage_disk', [
  'DBD',
  'BAB',
  'CCC'
], {
  A: 'refinedstorage:16k_storage_part',
  B: 'kubejs:green',
  C: 'refinedstorage:quartz_enriched_iron',
  D: 'minecraft:redstone'
})
event.shaped('refinedstorage:16k_storage_disk', [
    'BA ',
    '   ',
    '   '
  ], {
    A: 'refinedstorage:16k_storage_part',
    B: 'refinedstorage:storage_housing'
  })

event.remove({output: 'refinedstorage:4k_storage_disk'})
event.shaped('refinedstorage:4k_storage_disk', [
  'DBD',
  'BAB',
  'CCC'
], {
  A: 'refinedstorage:4k_storage_part',
  B: 'kubejs:green',
  C: 'refinedstorage:quartz_enriched_iron',
  D: 'minecraft:redstone'
})
event.shaped('refinedstorage:4k_storage_disk', [
    'BA ',
    '   ',
    '   '
  ], {
    A: 'refinedstorage:4k_storage_part',
    B: 'refinedstorage:storage_housing'
  })

event.remove({output: 'refinedstorage:64k_storage_disk'})
event.shaped('refinedstorage:64k_storage_disk', [
  'DBD',
  'BAB',
  'CCC'
], {
  A: 'refinedstorage:64k_storage_part',
  B: 'kubejs:green',
  C: 'refinedstorage:quartz_enriched_iron',
  D: 'minecraft:redstone'
})
event.shaped('refinedstorage:64k_storage_disk', [
    'BA ',
    '   ',
    '   '
  ], {
    A: 'refinedstorage:64k_storage_part',
    B: 'refinedstorage:storage_housing'
  })

  
////////////////////////////////////////////////////// STORAGE PARTS //////////////////////////////////////////////////////
  //RefinedStorage : 1k Storage Part
  event.remove({output: 'refinedstorage:4k_storage_part'})
  event.shaped('refinedstorage:4k_storage_part', [
    'ACA',
    'BDB',
    'ABA'
  ], {
    A: 'refinedstorage:silicon',
    B: 'refinedstorage:1k_storage_part',
    C: 'refinedstorage:quartz_enriched_iron',
    D: 'kubejs:green'
  })
  //RefinedStorage : 4k Storage Part
  event.remove({output: 'refinedstorage:4k_storage_part'})
  event.shaped('refinedstorage:4k_storage_part', [
    'ACA',
    'BDB',
    'ABA'
  ], {
    A: 'refinedstorage:silicon',
    B: 'refinedstorage:1k_storage_part',
    C: 'refinedstorage:quartz_enriched_iron',
    D: 'kubejs:red'
  })
  //RefinedStorage : 16k Storage Part
  event.remove({output: 'refinedstorage:16k_storage_part'})
  event.shaped('refinedstorage:16k_storage_part', [
    'ACA',
    'BDB',
    'ABA'
  ], {
    A: 'refinedstorage:silicon',
    B: 'refinedstorage:4k_storage_part',
    C: 'refinedstorage:quartz_enriched_iron',
    D: 'kubejs:blue'
  })
  //RefinedStorage : 64k Storage Part
  event.remove({output: 'refinedstorage:64k_storage_part'})
  event.shaped('refinedstorage:64k_storage_part', [
    'ACA',
    'BDB',
    'ABA'
  ], {
    A: 'refinedstorage:silicon',
    B: 'refinedstorage:16k_storage_part',
    C: 'refinedstorage:quartz_enriched_iron',
    D: 'kubejs:blue'
  })
})